<?php
namespace App\Classes;
use Illuminate\Support\Facades\DB;

class Helpers{
	
	public function getSettings(){
		return DB::table('tbl_settings')->get()->first();
	}
	public function getBusinessSettings($id = NULL){
		return DB::table('tbl_business')->where('user_id',$id)->get()->first();
	}
	public function getRegionsForNav(){
		$regions = DB::table('tbl_regions')->where('status',1)->get();
		foreach($regions as $key => $region){
			$region->destinations = DB::table('tbl_destinations')->select('id','name')->where('region_id',$region->id)->limit(7)->get();
		}
		return $regions;
	}
	public function getDestination($param = NULL){
		$content_data = DB::table('tbl_destinations')->where('id',$param)->first();
		return ucwords($content_data->name);
	}
	public function getLanguage($param = NULL){
		$content_data = DB::table('tbl_languages')->where('id',$param)->first();
		return ucwords($content_data->name);
	}
	public function get_image_path($image = NULL, $path = NULL, $size = NULL){
		if($image != ''){
			if($size != ''){
				if(file_exists(public_path('uploads/'.$path.'/'.$size.'_'.addslashes($image)))){
					$return_image = asset('uploads/'.$path.'/'.$size.'_'.addslashes($image));
				}elseif(file_exists(public_path('uploads/'.$path.'/'.addslashes($image)))){
					$return_image = asset('uploads/'.$path.'/'.addslashes($image));
				}else{
					$return_image = asset('assets/images/default.png');
				}
			}else{
				if(file_exists(public_path('uploads/'.$path.'/small_'.addslashes($image)))){
					$return_image = asset('uploads/'.$path.'/small_'.addslashes($image));
				}elseif(file_exists(public_path('uploads/'.$path.'/'.addslashes($image)))){
					$return_image = asset('uploads/'.$path.'/'.addslashes($image));
				}else{
					$return_image = asset('assets/images/default.png');
				}
			}
		}else{
			$return_image = asset('assets/images/default.png');
		}
		return $return_image;
	}
}