<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Mail;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;
use App\Mail\SendMail;
use DB;
use Hash;

class LoginApiController extends Controller
{
    public function UserSignUp(Request $req)
    {
        $response=array();
        if (isset($req->first_name) && isset($req->surname) && isset($req->username) && isset($req->phone_number) && isset($req->email_address) && isset($req->password)) {
           $user_nameExists=DB::table('users')->where('username', $req->username)->get()->count();
           if ($user_nameExists==0) {
            $user_emailExists=DB::table('users')->where('email_address', $req->email_address)->get()->count();
            if ($user_emailExists==0) {
              $user_data=array(
                'first_name'=>$req->first_name,
                'surname'=>$req->surname,
                'username'=>$req->username,
                'phone_number'=>$req->phone_number,
                'email_address'=>$req->email_address,
                'password'=>Hash::make($req->password)
              );
              $registerid=DB::table('users')->insertGetId($user_data);
              $register=DB::table('users')->where('user_id', $registerid)->get();
              $UserEmail=DB::table('users')->select('email_address')->where('user_id', $registerid)->get();
              $onlyEmail=$UserEmail[0]->email_address;
             $otp=rand(1111,9999);
             $details = [
                 "title"=>"Otp Sending Mail",
                 "body"=> $otp
             ];
       $otpSended= Mail::to($onlyEmail)->send(new SendMail($details));
       if (isset($otpSended)) {
         $UserEmailupdate=DB::table('users')->where('user_id', $registerid)->update(array('otp'=>$otp));
       }
              $response["code"] = 200;
           
              $response["status"] = "success";
       
              $response["data"] = $register;


            }else{
                $response["code"] = 404;
                $response["status"] = "error";
                $response["message"] = "Email address already exists.";
            }
           
           }else{
            $response["code"] = 404;
            $response["status"] = "error";
            $response["message"] = "UserName already exists.";
           }
        }else{
            $response["code"] = 404;
            $response["status"] = "error";
            $response["message"] = "All fields are needed.";
        }
        return response()
        ->json(array( 'status' => $response["status"], isset($response["message"]) ? 'message' : 'data' => isset($response["message"]) ? $response["message"] : $response["data"]))
        ->header('Content-Type', 'application/json');

    }

    // /// /// Login / / /// ////////// ////

    public function UserLogin(Request $req)
    {
        if (isset($req->email_address) && isset($req->password)) {
            $userEmail=DB::table('users')->where('email_address', $req->email_address )->get()->count();
            $userEmailDetail=DB::table('users')->where('email_address', $req->email_address )->get();
            if ($userEmail>0) {
               if (password_verify($req->password,$userEmailDetail[0]->password)) {
               $useridGetInfo=DB::table('users')->where('user_id', $userEmailDetail[0]->user_id)->get()->first();
               if (isset($useridGetInfo) && $useridGetInfo != null) {
                $response["code"] = 200;
              $response["status"] = "success";
              $response["data"] = $userEmailDetail;
               }
               else{
                $response["code"] = 404;
                $response["status"] = "error";
                $response["message"] = "User do not exist.";
               }
               }  
               else{
                $response["code"] = 404;
                $response["status"] = "error";
                $response["message"] = "Password is not correct.";
               }
            }
            else{
                $response["code"] = 404;
                $response["status"] = "error";
                $response["message"] = "Email do not exist.";
               }

        }
        else{
            $response["code"] = 404;
            $response["status"] = "error";
            $response["message"] = "All fields are needed.";
           }
           return response()
           ->json(array('status'=> $response["status"], isset($response["message"]) ? "message" : 'data'=>isset($response['message']) ? $response['message'] : $response['data']))
           ->header('Content-Type', 'application/json');
    }

   
    public function verifyMailOtp(Request $req)
    {
        $UserOtp=DB::table('users')->select('otp')->where('user_id', $req->user_id)->get();
        $userOtpGet=$UserOtp[0]->otp;
        if ($userOtpGet==$req->otp) {


           $statusActive= DB::table('users')->select('otp')->where('user_id', $req->user_id)->update(array('status'=>'Active'));
           if (isset($statusActive)) {
            return response()
  ->json(array( 
                 $response["code"] = 200,
                $response["status"] = "Registered successfully",
                $response["data"] = $userOtpGet,
              
  ))->header('Content-Type', 'application/json');
        }
        else{
            return response()
  ->json(array( 
                 $response["code"] = 404,
                $response["status"] = "Error",
               
              
  ))->header('Content-Type', 'application/json');
        }
        } else{
            return response()
  ->json(array( 
                 $response["code"] = 404,
                $response["status"] = "Otp Incorrect",
               
              
  ))->header('Content-Type', 'application/json');
        }
       
    }
    public function forgetPassword(Request $req)
    {
        if (isset($req->email_address)) {
           $email=DB::table('users')->where('email_address', $req->email_address )->get()->count();
           if ($email>0) {
           $email_address=DB::table('users')->select('email_address')->where('email_address', $req->email_address )->get();

           $userEmail=$email_address[0]->email_address;

           $otp=rand(1111,9999);
             $details = [
                 "title"=>"Otp Sending Mail",
                 "body"=> $otp
             ];
       $otpSended= Mail::to($userEmail)->send(new SendMail($details));
       if (isset($otpSended)) {
       $forgetpasswordotp=DB::table('users')->where('email_address', $userEmail)->update(array('forgetPasswordOtp'=>$otp));
       }

           $response["code"] = 200;
           
           $response["status"] = "success";
    
           $response["data"] = $otp;
           }
           else{
            $response["code"] = 404;
            $response["status"] = "error";
            $response["message"] = "Email do not exist.";
           }

        }
        else{
            $response["code"] = 404;
            $response["status"] = "error";
            $response["message"] = "Email field needed.";
           }
           return response()
           ->json(array( 'status' => $response["status"], isset($response["message"]) ? 'message' : 'data' => isset($response["message"]) ? $response["message"] : $response["data"]))
           ->header('Content-Type', 'application/json');
    }
    public function verifyForgetPasswordOtp(Request $req)
    {
        $forgetOtp=DB::table('users')->select('forgetPasswordOtp')->where('user_id', $req->user_id)->get();
        $otpforgetdb=$forgetOtp[0]->forgetPasswordOtp;
        if ($otpforgetdb==$req->forgetPasswordOtp) {
            $response["code"] = 200;
           
           $response["status"] = "success";
    
           $response["data"] = $otpforgetdb;
        }
        else{
            $response["code"] = 404;
            $response["status"] = "error";
            $response["message"] = "Otp do not match.";
           }
           return response()
           ->json(array( 'status' => $response["status"], isset($response["message"]) ? 'message' : 'data' => isset($response["message"]) ? $response["message"] : $response["data"]))
           ->header('Content-Type', 'application/json');
    }
    public function updateUserPassword(Request $req)
    {
        if (isset($req->password) && isset($req->user_id)) {
            $id=$req->user_id;
           $data=array(
            'password'=>Hash::make($req->password)
           );
          $password= DB::table('users')->where('user_id', $id)->update($data);

          $response["code"] = 200;
           
          $response["status"] = "success";
   
          $response["data"] = $password;
        }
        else{
            $response["code"] = 404;
            $response["status"] = "error";
            $response["message"] = "Please fill Password Field";
    }
    return response()
    ->json(array( 'status' => $response["status"], isset($response["message"]) ? 'message' : 'data' => isset($response["message"]) ? $response["message"] : $response["data"]))
    ->header('Content-Type', 'application/json');
}
}
