<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Stripe\Stripe;
use Stripe\Customer;
use Stripe\PaymentIntent;
use Stripe\EphemeralKey;


class PaymentController extends Controller
{
public function payment_sheet(Request $request){
    try {
        $stripe = new \Stripe\StripeClient('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');
        $customer = $stripe->customers->create([
             'email' => $request->input('email'),
             'name' => $request->input('name'),
         ]);
     // return response()->json(['customer' => $customer]);
             $customer_id = $customer["id"];
            //  return $customer_id;
         $ephemeralKey = $stripe->ephemeralKeys->create([
        'customer' => $customer_id
       ], [
         'stripe_version' => '2022-08-01'
       ]);
       $paymentIntents = $stripe->paymentIntents->create([
        'amount' => 500,
        'currency' => 'gbp',
        // 'payment_method' => 'pm_card_visa',
      ]);
      return response()->json(['customer'=>$customer_id,'ephemeral key'=>$ephemeralKey,'paymentintent'=>$paymentIntents]);

    } catch(\Stripe\Exception\CardException $e) {
      // Since it's a decline, \Stripe\Exception\CardException will be caught
      echo 'Status is:' . $e->getHttpStatus() . '\n';
      echo 'Type is:' . $e->getError()->type . '\n';
      echo 'Code is:' . $e->getError()->code . '\n';
      // param is '' in this case
      echo 'Param is:' . $e->getError()->param . '\n';
      echo 'Message is:' . $e->getError()->message . '\n';
    } catch (\Stripe\Exception\RateLimitException $e) {
      // Too many requests made to the API too quickly 
    } catch (\Stripe\Exception\InvalidRequestException $e) {
      // Invalid parameters were supplied to Stripe's API
    } catch (\Stripe\Exception\AuthenticationException $e) {
      // Authentication with Stripe's API failed
      // (maybe you changed API keys recently)
    } catch (\Stripe\Exception\ApiConnectionException $e) {
      // Network communication with Stripe failed
    } catch (\Stripe\Exception\ApiErrorException $e) {
      // Display a very generic error to the user, and maybe send
      // yourself an email
    } catch (Exception $e) {
      // Something else happened, completely unrelated to Stripe
    }

}
}
   