<?php
namespace App\Http\Controllers;

use GuzzleHttp\Client;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class MemberController extends Controller{
    public function add_excel_member(){
        $request_ref = 1111111111;
        $transaction_ref = 99838393829211;
        $transaction_notes = 'A random transaction'; 
        
        $combine = $request_ref.";". env("ONE_PIPE_API_SECRET_KEY");
        $signature =  md5($combine);
        
        $curl = curl_init();
        curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://api.onepipe.io/v2/transact',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS =>'{
                "request_ref": '.$request_ref.',
                "request_type": "open_account",
                "auth": {
                    "type": null,
                    "secure": null,
                    "auth_provider": "DemoProvider",
                    "route_mode": null
                },
                "transaction": {
                    "mock_mode": "inspect",
                    "transaction_ref": '.$transaction_ref.',
                    "transaction_desc": '.$transaction_notes.',
                    "transaction_ref_parent": null,
                    "amount": 0,
                    "customer": {
                        "customer_ref": "DemoApp_Customer007",
                        "firstname": "Uju",
                        "surname": "Usmanu",
                        "email": "ujuusmanu@gmail.com",
                        "mobile_no": "234802343132"
                    },
                    "meta": {
                        "a_key": "a_meta_value_1",
                        "another_key": "a_meta_value_2"
                    },
                    "details": {
                        "name_on_account": "Tobi Olajide",
                        "middlename": "string",
                        "dob": "2020-09-20-11-30-30",
                        "gender": "M",
                        "title": "Mr",
                        "address_line_1": "23, Okon street, Ikeja",
                        "address_line_2": "Ikeja",
                        "city": "lagos",
                        "state": "lagos",
                        "country": "NG"
                    }
                }
            }',
            CURLOPT_HTTPHEADER => array(
                'Authorization: Bearer '. env("ONE_PIPE_API_KEY"),
                'Signature:' . $signature,
                'Content-Type: application/json'
            ),
        ));

        $response = curl_exec($curl);
    
        curl_close($curl);
        print_r($response);
    }
}