<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Question extends Model
{
	protected $table="questions";
	protected $primaryKey = 'questions_id';
    public function answers()
    {
        return $this->hasMany(Answer::class,'questions_id','questions_id');
    }

    public function likes()
    {	
    	return $this->hasMany(QuestionLike::class,'questions_id','questions_id');
    }
    public function comments()
    {	
    	return $this->hasMany(QuestionComment::class,'questions_id','questions_id');
    }
    public function views()
    {	
    	return $this->hasMany(QuestionView::class,'questions_id','questions_id');
    }
}
