<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Helpers\Helper;
use App\Models\ContactQuery;
use Illuminate\Support\Carbon;

class OtherController extends Controller
{
    public function contact_queries(Request $req)
    {

        if (isset($req->firstName) && isset($req->lastName) && isset($req->email) && isset($req->message)) {

            $data = [
                'first_name' => $req->firstName,
                'last_name' => $req->lastName,
                'email' => $req->email,
                'message' => $req->message,
                'created_at' => Carbon::now()
            ];

            $contactQuery = ContactQuery::insert($data);

            $response = Helper::success(202, 'success', 'Data Saved Successfully!');

        } else {
            $response = Helper::failed(404, 'error', 'All Fields are Required!');
        }

        return Helper::custom_response($response);

    }
}
