<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\reference;
use App\Models\Student;
use App\Models\Application;
use GuzzleHttp\Client;
use Illuminate\Support\Facades\Http;
// use Illuminate\Support\Facades\MD5Hash;
use Illuminate\Support\Facades\Hash;
use App\Imports\UsersImport;
use Maatwebsite\Excel\Facades\Excel;


class onePipeCurlController extends Controller
{
  function EncryptV2($encryption_key,$data)
{
    $method = "des-ede3-cbc";
    $source = mb_convert_encoding($encryption_key, 'UTF-16LE', 'UTF-8');
    $encryption_key = md5($source, true);
    $encryption_key .= substr($encryption_key, 0, 16);
    $iv =  "\0\0\0\0\0\0\0\0";
    $encData = openssl_encrypt($data,$method, $encryption_key, $options=OPENSSL_RAW_DATA, $iv);
    return base64_encode($encData);
}
  public function onePipeApi(Request $request)
  {
   
       // Open Account Api
            // fetch database data
            $ref = reference::orderBy('id', 'desc')->first();
            $request_ref = $ref->request_ref + 180;
            $transaction_ref = $ref->transaction_ref + 130;
            $customer_ref = $ref->customer_ref + 130;
            // create signature
            // $combine = $request_ref.";". env("ONE_PIPE_API_SECRET_KEY");
            $combine = $request_ref.";kLkIfuBgPLnKxn0P";
            $signature =  md5($combine);

            // Api call
            $curl = curl_init();
            curl_setopt_array($curl, array(
                CURLOPT_URL => 'https://api.onepipe.io/v2/transact',
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => '',
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 0,
                CURLOPT_FOLLOWLOCATION => true,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => 'POST',
                CURLOPT_POSTFIELDS =>'{
                "request_ref":'. $request_ref.',
                "request_type": "open_account",
                "auth": {
    "type": null, 
    "secure": null,
                    "auth_provider": "DemoProvider",
                    "route_mode": null
                },
                "transaction": {
                    "mock_mode": "inspect",
                    "transaction_ref":'. $transaction_ref.',
                    "transaction_desc": "A random transaction",
                    "transaction_ref_parent": null,
                    "amount": 0,
                    "customer": {
                        "customer_ref": "DemoApp_Customer007",
                        "firstname": "Uju",
                        "surname": "Usmanu",
                        "email": "ujuusmanu@gmail.com",
                        "mobile_no": "234802343132"
                    },
                    "meta": {
                        "a_key": "a_meta_value_1",
                        "another_key": "a_meta_value_2"
                    },
                    "details": {
                        "name_on_account": "Tobi Olajide",
                        "middlename": "string",
                        "dob": "2020-09-20-11-30-30",
                        "gender": "M",
                        "title": "Mr",
                        "address_line_1": "23, Okon street, Ikeja",
                        "address_line_2": "Ikeja",
                        "city": "lagos",
                        "state": "lagos",
                        "country": "NG"
                    }
                }
            }',
                CURLOPT_HTTPHEADER => array(
                    'Authorization: Bearer nSf6jEmVa5YNnRKxi03D_24556c6166a648a09f1619629befe9f2',
                    'Signature:' . $signature,
                    'Content-Type: application/json'
                ),
            ));

            $response = curl_exec($curl);
            curl_close($curl);
          
            $result = json_decode($response);


            // if status successful store data on database
           

//                store reference
                $add_ref = new reference();
                $add_ref->request_ref = $request_ref;
                $add_ref->transaction_ref= $transaction_ref;
                $add_ref->customer_ref= $customer_ref;
                $add_ref->timestamps = false;
                $add_ref->save();        // if status is successful store data in database


echo nl2br("Open Account Api \n \r\n");
echo "<br>";
print_r($result);
echo "<br/>";
$data=$result->data->provider_response->account_number;
$encryption_key="kLkIfuBgPLnKxn0P";
$des=$this->EncryptV2($encryption_key,$data);
// dd($des);
// $data=$result->data;
// $account=$data->provider_response;
// $account_number=$account->account_number;
// $cbncode="924";
// $secret="kLkIfuBgPLnKxn0P";
// $account_number .=$cbncode;
// $data=$account_number;
// $encrypt_account=$this->Encryption($data, $secret);


// get balance api
  // fetch database data
  $ref_get = reference::orderBy('id', 'desc')->first();
  $request_ref_get = $ref_get->request_ref + 110;
  $transaction_ref_get = $ref_get->transaction_ref + 110;
  $customer_ref_get = $ref_get->customer_ref + 110;
  // create signature
  // $combine = $request_ref.";". env("ONE_PIPE_API_SECRET_KEY");
  $combine_get = $request_ref_get.";kLkIfuBgPLnKxn0P";
  $signature_get =  md5($combine_get);
  // api call
  $curl_get = curl_init();

curl_setopt_array($curl_get, array(
  CURLOPT_URL => 'https://api.onepipe.io/v2/transact',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>' 
   "request_ref": '.$request_ref_get.',
  "request_type": "get_balance",
  "auth": {
      "type": "bank.account",
      "secure": '.$des.',
      "auth_provider": null,
      "route_mode": null
  },
  "transaction": {
      "mock_mode": null,
      "transaction_ref": '. $transaction_ref_get.',
      "transaction_desc": "A random transaction",
      "transaction_ref_parent": null,
      "amount": 0,
      "customer": {
          "customer_ref": "2347012345678",
          "firstname": "John", 
          "surname": "Doe", 
          "email": "johndoe@gmail.com",
          "mobile_no": "2347012345678", 
      },
      "meta": {},
      "details": {}
  }
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer dthEjKlKSL30mNVwbpne_0e1a5973b7a2430bbc6d2f6032ea17f1',
    'Signature: '.$signature_get,
    'Content-Type: application/json'
  ),
));

$response_get = curl_exec($curl_get);

curl_close($curl_get);

$result_get=json_decode($response_get);

$add_ref_get = new reference();
$add_ref_get->request_ref = $request_ref_get;
$add_ref_get->transaction_ref= $transaction_ref_get;
$add_ref_get->customer_ref= $customer_ref_get;
$add_ref_get->timestamps = false;
$add_ref_get->save();        // if status is successful store data in database

// return response in json
echo "<br>";
echo "<br>";

echo "<br>";

echo "<br>";

echo "URL: \n";
echo "https://api.onepipe.io/v2/transact";


echo "<br>";
echo "<br>";

echo "<br>";

echo "<br>";


echo nl2br("Data: \n \r\n");


 echo '{
  "request_ref":'.$request_ref_get.', 
  "request_type":"get_balance",
  "auth": {
    "type": null, 
    "secure": '.$des.',
    "auth_provider": null,
    "route_mode": null
  },
  "transaction": {
    "mock_mode": "inspect", 
    "transaction_ref": '.$transaction_ref_get.', 
    "transaction_desc": "A random transaction", 
    "transaction_ref_parent": null, 
    "amount": 0,
    "customer":{
    	"customer_ref": "2347012345678",
    	"firstname": "Uju",
        "surname": "Usmanu",
    	"email": "ujuusmanu@gmail.com",
    	"mobile_no": "234802343132"
    },
    "meta":{},
    "details": {}
  }
}';


echo "<br>";
echo "<br>";

echo "<br>";
echo nl2br("Response: \n \r\n");

print_r($result_get);
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";




    }
  }


