<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PrivateGalleryAccess extends Model

{
    /**

    * The attributes that are mass assignable.

    *

    * @var array

    */

    protected $table = 'private_gallery_access';

  public static function checkPrivateGalleryAccess($requestedToUserId, $requestedByUserId){
             return PrivateGalleryAccess::where([ ['requested_to_user_id', $requestedToUserId], ['requested_by_user_id', $requestedByUserId]])->first();
  }

}

